Debian Bug report logs - #344417
ITP: freebsd6-buildutils -- Utilities for building FreeBSD 6.x sources

version graph

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: Robert Millan <rmh@aybabtu.com>

Date: Thu, 22 Dec 2005 16:03:01 UTC

Owned by: robert millan <rmh@aybabtu.com>

Severity: wishlist

Fixed in version freebsd-buildutils/7.0-1

Done: Aurelien Jarno <aurel32@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, debian-devel@lists.debian.org, <wnpp@debian.org>, robert millan <rmh@aybabtu.com>:
Bug#344417; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Robert Millan <rmh@aybabtu.com>:
New Bug report received and forwarded. Copy sent to debian-devel@lists.debian.org, <wnpp@debian.org>, robert millan <rmh@aybabtu.com>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Robert Millan <rmh@aybabtu.com>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: ITP: freebsd6-buildutils -- Utilities for building FreeBSD 6.x sources
Date: Thu, 22 Dec 2005 16:51:16 +0100
Package: wnpp
Severity: wishlist
Owner: Robert Millan <rmh@aybabtu.com>

* Package name    : freebsd6-buildutils
  Version         : 6.0
* URL             : http://www.freebsd.org/
* License         : BSD
  Description     : Utilities for building FreeBSD 6.x sources

 This package contains the FreeBSD 6.x counterparts of some standard build
 utilities (make, yacc, lex ..)
 .
 They have some specific modifications needed to be able to build FreeBSD 6.x
 sources.

-- System Information:
Debian Release: testing/unstable
  APT prefers testing
  APT policy: (500, 'testing')
Architecture: i386 (i686)
Shell:  /bin/sh linked to /bin/bash
Kernel: Linux 2.6.8-2-k7
Locale: LANG=en_US, LC_CTYPE=en_US (charmap=ANSI_X3.4-1968) (ignored: LC_ALL set to C)



Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, robert millan <rmh@aybabtu.com>:
Bug#344417; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Josselin Mouette <joss@debian.org>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, robert millan <rmh@aybabtu.com>. Full text and rfc822 format available.

Message #10 received at 344417@bugs.debian.org (full text, mbox):

From: Josselin Mouette <joss@debian.org>
To: Robert Millan <rmh@aybabtu.com>, 344417@bugs.debian.org
Cc: debian-devel@lists.debian.org
Subject: Re: Bug#344417: ITP: freebsd6-buildutils -- Utilities for building FreeBSD 6.x sources
Date: Tue, 03 Jan 2006 12:42:22 +0100
Le jeudi 22 décembre 2005 à 16:51 +0100, Robert Millan a écrit :
>  This package contains the FreeBSD 6.x counterparts of some standard build
>  utilities (make, yacc, lex ..)
>  .
>  They have some specific modifications needed to be able to build FreeBSD 6.x
>  sources.

Maybe it's a dumb question, but isn't there a way to patch these tools
and/or the freebsd sources so that we can build them with the standard
tools in Debian?

Regards,
-- 
 .''`.           Josselin Mouette        /\./\
: :' :           josselin.mouette@ens-lyon.org
`. `'                        joss@debian.org
   `-  Debian GNU/Linux -- The power of freedom




Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, robert millan <rmh@aybabtu.com>:
Bug#344417; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Robert Millan <rmh@aybabtu.com>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, robert millan <rmh@aybabtu.com>. Full text and rfc822 format available.

Message #15 received at 344417@bugs.debian.org (full text, mbox):

From: Robert Millan <rmh@aybabtu.com>
To: Josselin Mouette <joss@debian.org>
Cc: 344417@bugs.debian.org, debian-devel@lists.debian.org
Subject: Re: Bug#344417: ITP: freebsd6-buildutils -- Utilities for building FreeBSD 6.x sources
Date: Tue, 3 Jan 2006 14:44:42 +0100
On Tue, Jan 03, 2006 at 12:42:22PM +0100, Josselin Mouette wrote:
> Le jeudi 22 d?cembre 2005 ? 16:51 +0100, Robert Millan a ?crit :
> >  This package contains the FreeBSD 6.x counterparts of some standard build
> >  utilities (make, yacc, lex ..)
> >  .
> >  They have some specific modifications needed to be able to build FreeBSD 6.x
> >  sources.
> 
> Maybe it's a dumb question, but isn't there a way to patch these tools
> and/or the freebsd sources so that we can build them with the standard
> tools in Debian?

Yes but:

  - In big packages (like kFreeBSD), it's a huge work.
  - Upstream is extremely unlikely to accept patches for that.

-- 
Robert Millan



Reply sent to David Moreno Garza <damog@merkel.debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Robert Millan <rmh@aybabtu.com>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #20 received at 344417-done@bugs.debian.org (full text, mbox):

From: David Moreno Garza <damog@merkel.debian.org>
To: 344417-done@bugs.debian.org
Subject: WNPP bug closing
Date: Mon, 08 Jan 2007 11:59:47 -0700
Hello,

This is an automatic mail sent to close the ITP you have reported or 
are involved with.

Your ITP wnpp bug is being closed because of the following reasons:
- It is, as of today, older than 365 days.
- It hasn't had any activity recently.

As this is an automatic procedure, it could of course have something
wrong and probably it would be closing some bugs that are not 
intended by owners and submitters (like you) to be closed, for
example if the ITP is still of your interest, or there has been 
some kind of activity around it. In that case, please reopen the
bug, do it, DO IT NOW! (I don't want to be blamed because of
mass closing and not let people know that they can easily reopen
their bugs ;-).

To re-open it, you simply have to mail control@bugs.debian.org
with a body text like this:

reopen 344417
thanks bts

Further comments on the work done in the bug sent to
344417@bugs.debian.org would be truly welcomed.
Anyway, if you have any kind of problems when dealing with
the BTS, feel free to contact me and I'd be more than happy to help
you on this: <damog@debian.org>.

A similar process is being applied to other kind of wnpp bugs.

Thanks for your cooperation,

 -- David Moreno Garza <damog@debian.org>.
 



Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, robert millan <rmh@aybabtu.com>:
Bug#344417; Package wnpp. Full text and rfc822 format available.

Message #23 received at 344417@bugs.debian.org (full text, mbox):

From: Robert Millan <rmh@aybabtu.com>
To: 344417@bugs.debian.org
Cc: David Moreno Garza <damog@debian.org>
Subject: Re: Bug#344417 closed by David Moreno Garza <damog@merkel.debian.org> (WNPP bug closing)
Date: Tue, 9 Jan 2007 12:40:36 +0100
reopen 344417
thanks

Please don't close this ITP.  It's being maintained outside of Debian, and I
suppose it'll be uploaded to unstable eventualy.  The SVN tree is available at:

  http://svn.debian.org/wsvn/glibc-bsd/trunk/freebsd6-buildutils

Could you add an override in your script to exclude this ITP?

-- 
Robert Millan

My spam trap is honeypot@aybabtu.com.  Note: this address is only intended for
spam harvesters.  Writing to it will get you added to my black list.



Bug reopened, originator not changed. Request was from Robert Millan <rmh@aybabtu.com> to control@bugs.debian.org. Full text and rfc822 format available.

Reply sent to David Moreno Garza <damog@merkel.debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Robert Millan <rmh@aybabtu.com>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #30 received at 344417-done@bugs.debian.org (full text, mbox):

From: David Moreno Garza <damog@merkel.debian.org>
To: 344417-done@bugs.debian.org
Subject: WNPP bug closing
Date: Wed, 16 Jan 2008 11:59:42 -0700
Hello,

This is an automatic mail sent to close the ITP you have reported or 
are involved with.

Your ITP wnpp bug is being closed because of the following reasons:
- It is, as of today, older than 365 days.
- It hasn't had any activity recently.

As this is an automatic procedure, it could of course have something
wrong and probably it would be closing some bugs that are not 
intended by owners and submitters (like you) to be closed, for
example if the ITP is still of your interest, or there has been 
some kind of activity around it. In that case, please reopen the
bug, do it, DO IT NOW! (I don't want to be blamed because of
mass closing and not let people know that they can easily reopen
their bugs ;-).

To re-open it, you simply have to mail control@bugs.debian.org
with a body text like this:

 reopen 344417
 stop

Further comments on the work done in the bug sent to
344417@bugs.debian.org would be truly welcomed.
Anyway, if you have any kind of problems when dealing with
the BTS, feel free to contact me and I'd be more than happy to help
you on this: <damog@debian.org>.

A similar process is being applied to other kind of wnpp bugs.

Thanks for your cooperation,

 -- David Moreno Garza <damog@debian.org>.
 




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Thu, 14 Feb 2008 07:26:54 GMT) Full text and rfc822 format available.

Bug unarchived. Request was from Petr Salinger <Petr.Salinger@seznam.cz> to control@bugs.debian.org. (Wed, 16 Jul 2008 05:39:02 GMT) Full text and rfc822 format available.

Bug reopened, originator not changed. Request was from Petr Salinger <Petr.Salinger@seznam.cz> to control@bugs.debian.org. (Wed, 16 Jul 2008 05:39:03 GMT) Full text and rfc822 format available.

Tags added: pending Request was from Petr Salinger <Petr.Salinger@seznam.cz> to control@bugs.debian.org. (Wed, 16 Jul 2008 05:39:03 GMT) Full text and rfc822 format available.

Reply sent to Aurelien Jarno <aurel32@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Robert Millan <rmh@aybabtu.com>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #43 received at 344417-close@bugs.debian.org (full text, mbox):

From: Aurelien Jarno <aurel32@debian.org>
To: 344417-close@bugs.debian.org
Subject: Bug#344417: fixed in freebsd-buildutils 7.0-1
Date: Sun, 03 Aug 2008 20:52:42 +0000
Source: freebsd-buildutils
Source-Version: 7.0-1

We believe that the bug you reported is fixed in the latest version of
freebsd-buildutils, which is due to be installed in the Debian FTP archive:

freebsd-buildutils_7.0-1.diff.gz
  to pool/main/f/freebsd-buildutils/freebsd-buildutils_7.0-1.diff.gz
freebsd-buildutils_7.0-1.dsc
  to pool/main/f/freebsd-buildutils/freebsd-buildutils_7.0-1.dsc
freebsd-buildutils_7.0-1_amd64.deb
  to pool/main/f/freebsd-buildutils/freebsd-buildutils_7.0-1_amd64.deb
freebsd-buildutils_7.0.orig.tar.gz
  to pool/main/f/freebsd-buildutils/freebsd-buildutils_7.0.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 344417@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Aurelien Jarno <aurel32@debian.org> (supplier of updated freebsd-buildutils package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Tue, 15 Jul 2008 19:37:00 +0200
Source: freebsd-buildutils
Binary: freebsd-buildutils
Architecture: source amd64
Version: 7.0-1
Distribution: unstable
Urgency: low
Maintainer: Aurelien Jarno <aurel32@debian.org>
Changed-By: Aurelien Jarno <aurel32@debian.org>
Description: 
 freebsd-buildutils - Utilities for building FreeBSD sources
Closes: 344417
Changes: 
 freebsd-buildutils (7.0-1) unstable; urgency=low
 .
   [ Petr Salinger ]
   * New upstream version (RELENG_7_0_0_RELEASE)
     - drop upstream patches 000_fix_make_double_free.diff,
       000_7-current_support_in_bsd.own.mk.diff
     - replace 02_silly_macros.diff via sed and 12_unused.diff
     - add 13_bsd_sys.diff, 14_config.diff
     - update remaining patches
   * Package rename, cleanup
   * Upload to Debian. Closes: #344417.
     See also #474761, #474762.
 .
   [ Aurelien Jarno ]
   * Drop symlink pointing to gcc-3.4.
   * Bumped Standard-Versions to 3.8.0 (no changes).
   * Update debian/copyright.
Checksums-Sha1: 
 96c267502c6d0b4b5ea05376f070249a948d9ed1 1150 freebsd-buildutils_7.0-1.dsc
 41293745b64af626dc655a58d12b941e8c065268 720925 freebsd-buildutils_7.0.orig.tar.gz
 5bd1f066daf5b5b806ed93b7ef88ce3ff07e587f 21147 freebsd-buildutils_7.0-1.diff.gz
 e1e3dfb27fe68d66a5c3207aee5580540c518c89 405928 freebsd-buildutils_7.0-1_amd64.deb
Checksums-Sha256: 
 e15f09ac864e4c6488852c6504c421dabc6caf8330d864c395710e929bebada3 1150 freebsd-buildutils_7.0-1.dsc
 b964f0970150299da86508a7cc045049ce814c5c3426348dc0fb4a21ac5d1774 720925 freebsd-buildutils_7.0.orig.tar.gz
 bb0b99fcbc73300b15dbea7f0f94aa543fb32446f42398eee2506eecc938e9cd 21147 freebsd-buildutils_7.0-1.diff.gz
 148a826b2aea4aa3d8c86b48dbd489922267dd9b8109e43d895c4d5101a56936 405928 freebsd-buildutils_7.0-1_amd64.deb
Files: 
 2bd51af57fa238c08e0803445929e406 1150 devel extra freebsd-buildutils_7.0-1.dsc
 06b8b7830eac4d983fd8aa943fa8f8ca 720925 devel extra freebsd-buildutils_7.0.orig.tar.gz
 72e4761849465f64be666cea7a48ca87 21147 devel extra freebsd-buildutils_7.0-1.diff.gz
 301660a80f2c2e7a3791eb6eaa07494c 405928 devel extra freebsd-buildutils_7.0-1_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.9 (GNU/Linux)

iD4DBQFIfOH/w3ao2vG823MRAhBuAJ9uQc3FLvRVJwRPYbOgppKzfvLhVACXWU7q
CJnIbK4JJGJMSGeVGz6DSA==
=Qj8Z
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 01 Sep 2008 07:29:05 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 24 22:14:49 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.